Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Types | Public Member Functions | List of all members
ranges::v3::reference_wrapper< T > Struct Template Reference
Utility
Inheritance diagram for ranges::v3::reference_wrapper< T >:

## Public Types
using | reference = meta::if_< std::is_reference< T >, T, T & >
using | type = meta::_t< std::remove_reference< T > >

## Public Member Functions
constexpr reference | get () const noexcept
constexpr | operator reference () const noexcept
| operator std::reference_wrapper< type > () const noexcept
template<typename ... Args>
constexpr auto | operator() (Args &&...args) const noexcept(noexcept(decltype(invoke(std::declval< reference >(), std::declval< Args >()...))(invoke(std::declval< reference >(), std::declval< Args >()...)))) -> decltype(invoke(std::declval< reference >(), std::declval< Args >()...))
template<typename U , requires = (Constructible<base_, U>() && !Same<uncvref_t<U>, reference_wrapper>())>
constexpr | reference_wrapper (U &&u) noexcept(std::is_nothrow_constructible< base_, U >::value)